【活用ガイド】

JVNDB-2016-001678

Ruby on Rails の Active Model における検証手順を回避される脆弱性

概要

Ruby on Rails の Active Model は、クラスアクセサのインスタンスレベルの writer の使用をサポートするため、検証手順を回避される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Ruby on Rails project
  • Rails 4.1.14.1 未満の 4.1.x
  • Rails 4.2.5.1 未満の 4.2.x
  • Rails 5.0.0.beta1.1 未満の 5.x

想定される影響

第三者により、巧妙に細工されたパラメータを介して、検証手順を回避される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Ruby on Rails project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-0753
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-0753
更新履歴

[2016年03月11日]
  掲載